/* ****Tastaturtest mit 8 Kontakten**** */
/*=============================INIT=========================================*/
#include "gpio_lib.h"
#include <stdio.h>
#include <unistd.h>


int buffer, i;
struct Pin{
	unsigned int name;
	char taste;
	int status;
};

struct Pin kontakt[8] ={
	{.name=SUNXI_GPH(27), .taste='a', .status=0},
	{.name=SUNXI_GPH(23), .taste='s', .status=0},
	{.name=SUNXI_GPH(26), .taste='d', .status=0},
	{.name=SUNXI_GPH(22), .taste='f', .status=0},
	{.name=SUNXI_GPH(25), .taste='\n', .status=0},
	{.name=SUNXI_GPH(21), .taste='1', .status=0},
	{.name=SUNXI_GPH(24), .taste='2', .status=0},
	{.name=SUNXI_GPH(20), .taste='3', .status=0}
};

/*============================MAIN==========================================*/ 
int main (void){
  fflush(stdout);
  sunxi_gpio_init();
  for(i=0; i<=7; i++){
	sunxi_gpio_set_cfgpin(kontakt[i].name, INPUT);
  }
  printf("ok, start:\n");
  
  while (1){
	  for(i=0; i<=7; i++){
		buffer = sunxi_gpio_input(kontakt[i].name);
		if(buffer != kontakt[i].status){
			if(buffer){
				printf("%c", kontakt[i].taste);
				fflush(stdout);
			}
			kontakt[i].status = buffer;
		}
	  }  
	  usleep(20000);
  }
  sunxi_gpio_cleanup();
  printf("cleanup"); 
  return 0;
}
